Bug 1374239 - glibc: Detect and apply /etc/resolv.conf changes in libresolv
glibc: Detect and apply /etc/resolv.conf changes in libresolv
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Weimer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1432085 1437345
  Show dependency treegraph
 
Reported: 2016-09-08 06:05 EDT by Florian Weimer
Modified: 2018-01-12 05:51 EST (History)
10 users (show)

See Also:
Fixed In Version: glibc-2.25.90-18.fc27 glibc-2.25-12.fc26
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1432085 (view as bug list)
Environment:
Last Closed: 2018-01-12 05:51:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 984 None None None 2016-09-08 06:05 EDT

  None (edit)
Description Florian Weimer 2016-09-08 06:05:53 EDT
Applications should pick /etc/resolv.conf changes automatically, without calling res_init explicitly.  This is important for mobile systems which may migrate between different networks.
Comment 1 Fedora Update System 2017-10-11 12:17:19 EDT
glibc-2.25-12.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2c63df4fe3
Comment 2 Fedora Update System 2017-10-11 12:18:25 EDT
glibc-2.25-12.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2c63df4fe3
Comment 3 Fedora Update System 2017-10-13 00:22:03 EDT
glibc-2.25-12.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2c63df4fe3
Comment 4 Fedora Update System 2017-10-25 19:09:26 EDT
glibc-2.25-12.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.